
D4Science Infrastructure - VM Creation #10069

VM for geowebcache testing under PAIM

Oct 26, 2017 12:06 PM - Fabio Sinibaldi

Status: Closed Start date: Oct 26, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: GeoWebCache exploitation   

Infrastructure: Production Applications list and

version:

geoserver 2.10.3

RAM: 10 Applications context

path:

geoserver

CPU: 4 External storage data

disk:

 

DiskSpace: 15 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: LATEST RELEASED PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs: 1

Smartgears scopes:    

Description

A replica of one of the geoserver provided for PAIM VRE is needed in order to investigate possible optimizations by exploiting

geowebcache.

In order to not interfere with the VRE, for now i wouldn't make it share the data folder with the other instances, nor I would link it to

the geoserver proxy of that vre.

So a copy of the data folder would be good.

Related issues:

Related to D4Science Infrastructure - Task #10071: test a varnish cache befor... Closed Oct 26, 2017

History

#1 - Oct 26, 2017 12:09 PM - Andrea Dell'Amico

- RAM changed from 5 to 10

- CPU changed from 2 to 4

- DiskSpace changed from 70 to 15

Hm. If you need a copy of the data you could use geoserver-protectedareaimpactmaps.d4science.org, I have not removed the local data yet. This VM

can take the place of that one.

Is it OK for you?

#2 - Oct 26, 2017 12:15 PM - Andrea Dell'Amico

- Related to Task #10071: test a varnish cache before the PAIM geoservers added

#3 - Oct 26, 2017 12:16 PM - Fabio Sinibaldi

I thought it was still serving the VRE via the proxy. If it's not used anymore it might suit my needs. I'm gonna need to apply some configuration

changes and probably lots of restart, so it would be best not to interfere with te VRE operational level.

#4 - Oct 26, 2017 12:35 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 20
New VM name is geoserver2-protectedareaimpactmaps.d4science.org

#5 - Oct 26, 2017 02:21 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

The VM has been provisioned and it's already answering the haproxy requests.

@fabio.sinibaldi@isti.cnr.it if want make a final check, after that I'll detach geoserver-protectedareaimpactmaps.d4science.org from the haproxy

backends.

#6 - Oct 26, 2017 02:55 PM - Fabio Sinibaldi

Instance at geoserver-protectedareaimpactmaps.d4science.org seems correctly working. 

#7 - Oct 26, 2017 03:00 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

OK. I detached geoserver-protectedareaimpactmaps.d4science.org from haproxy and I restarted it with the local data directory.

Powered by TCPDF (www.tcpdf.org)

May 02, 2025 2/2

http://www.tcpdf.org

